#### D.8.6.4 sqfrNorm

Procedure from library `zeroset.lib` (see zeroset_lib).

Usage:
  sqfrNorm(f); where f is a polynomial

Purpose:
  compute the norm of the squarefree polynomial f in Q(a)[x].

Return:
  list with 3 entries

        _[1] = squarefree norm of g (poly)
        _[2] = g (= f(x - s*a)) (poly)
        _[3] = s (int)

Assume:
  f must be squarefree, basering = Q(a)[x] and minpoly != 0.

Note:
  the norm is an element of Q[x]

Example:

    LIB "zeroset.lib";
    ring R = (0,a), x, lp;
    minpoly = a2+1;
    poly f =  x4 - 2*x + 1;
    sqfrNorm(f);
    ==> [1]:
    ==>    x8+4*x6-4*x5+8*x4+8*x3-4*x2+8*x+8
    ==> [2]:
    ==>    x4+(-4a)*x3-6*x2+(4a-2)*x+(2a+2)
    ==> [3]:
    ==>    1

User manual for Singular version 4-0-3, 2016, generated by texi2html.